NAMED-XFER(8)

NAME
named-xfer - ancillary agent for inbound zone transfers

SYNOPSIS
named-xfer -z zone_to_transfer -f db_file -s serial_no [-d debuglevel] [-l debug_log_file] [-i ixfr_file] [-t trace_file] [-p port#] [-C class] [-S] [-q] [-x src_address] [-T tsig_file] nameserver [axfr | ixfr]

DESCRIPTION
Named-xfer is an ancillary program executed by named(8) to perform an inbound zone transfer. It is rarely executed directly, and then only by system administrators who are trying to debug a zone transfer problem. See RFC's 1033, 1034, and 1035 for more information on the Internet name-domain system.

Options are:

-z zone_to_transfer
    specifies the name of the zone to be transferred.

-f db_file
    specifies the name of the db_file into which the zone should be dumped when it is received from the primary server.

-s serial_no
    specifies the serial number of our current copy of this zone. If the SOA RR we get from the primary server does not have a serial number higher than this, the transfer will be aborted.

-d debuglevel
    Print debugging information. The debuglevel is a number determines the level of messages printed.

-l debug_log_file
    Specifies a log file for debugging messages. The default is system- dependent but is usually in /var/tmp or /usr/tmp. Note that this only applies if “-d” is also specified.

-i ixfr_file
    Specifies the name of the ixfr_file into which the zone changes from Incremental Zone Transfer (IXFR) should be dumped when it is received from the primary server.

-t trace_file
    Specifies a trace_file which will contain a protocol trace of the zone transfer. This is probably only of interest to people debugging the name server itself.

-p port#
    Use a different port number. The default is the standard port number as returned by getservbyname(3) for the service “domain”.

-C class
    Defines which class to use. Defaults to 'IN'.

-S  Perform a restricted transfer of only the SOA, NS records and glue A records for the zone. The SOA record will not be loaded by named(8) but will be used to determine when to verify the NS records. See the “stubs” directive in named(8) for more information.

-q  Tells named-xfer to be quiet.

-x src_address
    Specifies the source address to use for this query.

-T tsig_file
    Specifies a file to transfer TSIG information to named-xfer. Multiple entries of the following format:

    IP address
        When connecting to this address use this TSIG key.
    key name
    algorithm
        157 (HMAC-MD5) is the only algorithm supported.
    key data
        base64

    named-xfer expects this file to be temporary in nature and will explicitly delete this file after its use.

Additional arguments are taken as name server addresses in so-called “dotted-quad” syntax only; no host name are allowed here. At least one address must be specified. Any additional addresses will be tried, in order, if the first one fails to transfer to us successfully. The axfr or ixfr after name server address designates the type of zone transfer to perform. Use axfr for a full zone transfer or ixfr for an incremental zone transfer.

SEE ALSO
hostname(7), named(8), resolver(3), resolver(5), RFC 882, RFC 883, RFC 973, RFC 974, RFC 1033, RFC 1034, RFC 1035, RFC 1123, RFC 1995 “Name Server Operations Guide for BIND”.